# Use gcc-snapshot binaries / libraries
#
LD_LIBRARY_PATH=/usr/lib/gcc-snapshot/lib:$LD_LIBRARY_PATH
PATH=/usr/lib/gcc-snapshot/bin:$PATH
export PATH LD_LIBRARY_PATH

g++ -c -flto -O3 barf-main.cc
g++ -c -flto -O3 barf-lib.cc

ar ru barf-lib.a barf-lib.o

echo "====== Link with barf-lib.a fails:"
g++ -fuse-ld=gold -o barf -flto -O3 barf-main.o barf-lib.a

echo "====== Link with barf-lib.o succeeds:"
g++ -fuse-ld=gold -o barf -flto -O3 barf-main.o barf-lib.o
